Subject: Re: [PATCH net-next 4/8] net: ethernet: add the Alpine Ethernet driver

From: Andrew Lunn <[email-masked]>
Date: Sun, 5 Nov 2017 16:22:27 +0100

> the problem is that physical MDIO controller actually belongs to one of
> the pcie devices and it's not independent interface, as the registers
> address belongs to that pcie device, also, a reset to that pcie device
> will reset the "shared" mdio controller.

What is the implications of resetting the mdio controller?

It still seems like you should only register one MDIO device with
linux, and then use phy-handle properties to point to the PHYs on the
bus.

       Andrew